---
title: OpenVPN
description: Tutorial de instalación del Servidor OpenVPN
published: true
date: 2022-05-18T16:48:57.246Z
tags: vpn, servidor, debian
editor: markdown
dateCreated: 2022-05-18T16:48:57.246Z
---

# OpenVPN
![openvpn_logo.svg](/assets/images/openvpn_logo.svg)
## Requisitos
* **[Debian 11 “bullseye”](https://www.debian.org/releases/bullseye/)**
* **Usuario con privilegios `sudo`**

## Instalación de dependencias

* Comenzaremos actualizando nuestro repositorio `apt`

```bash
sudo apt update
```

* Después realizaremos una instalación de dependencias previas
```bash
sudo apt -y install ca-certificates wget net-tools gnupg
```

* Ahora añadiremos las claves PGP del repositorio de OpenVPN
```bash
wget -qO- https://swupdate.openvpn.net/repos/repo-public.gpg | gpg --dearmor | sudo tee /usr/share/keyrings/openvpn-archive-keyring.gpg > /dev/null
```

* Y añadiremos el repositorio de OpenVPN a nuestro listado de repositorios
```bash
echo "deb [signed-by=/usr/share/keyrings/openvpn-archive-keyring.gpg] http://build.openvpn.net/debian/openvpn/stable bullseye main" | sudo tee /etc/apt/sources.list.d/openvpn-repo.list > /dev/null
```

* Es turno de volver a actualizar nuestro listado de repositorios
```bash
sudo apt update
```

* Y ya podemos proceder con la instalación de OpenVPN
```bash
sudo apt -y install openvpn
```

## Configuración de certificados

## Arranque automático

## Recursos adicionales